#!/bin/sh
# Copyright (c) 2000-2016 Synology Inc. All rights reserved.

# rt1900ac does not have netlink event for eth0
IFNAME=
UDEV_PORT=$1

. /var/packages/ThreatPrevention/target/scripts/ips_utils.sh
if [ "${UDEV_PORT}" == "0" ]; then
	PORT="0"
elif [ "${UDEV_PORT}" == "1" ]; then
	PORT="1"
else
	synotps_log "Failed to get port (UDEV_PORT=${UDEV_PORT})"
	exit 1
fi

IFNAME=$(/usr/syno/sbin/synonettool --wan --ifname $PORT)
if [ "$?" -ne 0 ];then
	synotps_log "Failed to get port name (PORT=$PORT). It may be disabled."
	exit 1
fi

synotps_log "UDEV_PORT=${UDEV_PORT}"
synotps_log "PORT=${PORT}"
synotps_log "IFNAME=${IFNAME}"

hook_handler

exit 0
