#!/bin/sh
# Copyright (c) 2000-2015 Synology Inc. All rights reserved.

. /var/packages/ThreatPrevention/target/scripts/ips_utils.sh

case $1 in
	--sdk-mod-ver)
		/bin/echo "1.0";
	;;
	--name)
		/bin/echo "synotps";
	;;
	--pkg-ver)
		/bin/echo "1.0";
	;;
	--vendor)
		/bin/echo "Synology";
	;;
	--pre)
	;;
	--post)
		if ! pidof postgres ; then
			# postgres is not running, abort.
			return -1;
		fi

		hook_handler restart_sensor
	;;
	*)
		/bin/echo "Usage: $0 --sdk-mod-ver|--name|--pkg-ver|--vendor|--pre|--post"
	;;
esac

exit 0
